> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dwe.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Preferences



## OpenAPI

````yaml https://github.com/DeepwaterExploration/dweOS/releases/latest/download/openapi.json get /api/preferences
openapi: 3.1.0
info:
  title: DWE OS API
  description: API for DWE OS
  version: 0.1.0
servers: []
security: []
paths:
  /api/preferences:
    get:
      tags:
        - preferences
      summary: Get Preferences
      operationId: get_preferences_api_preferences_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SavedPreferencesModel'
components:
  schemas:
    SavedPreferencesModel:
      properties:
        default_stream:
          anyOf:
            - $ref: '#/components/schemas/StreamEndpointModel'
            - type: 'null'
          default:
            host: 192.168.2.1
            port: 5600
        suggest_host:
          type: boolean
          title: Suggest Host
          default: true
        frequency_offset:
          type: number
          title: Frequency Offset
          default: 0
      type: object
      title: SavedPreferencesModel
    StreamEndpointModel:
      properties:
        host:
          type: string
          title: Host
        port:
          type: integer
          title: Port
      type: object
      required:
        - host
        - port
      title: StreamEndpointModel

````